# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryArrayConvert, DXQueryArrayConvertV

Function

Determine if the given Array can be converted to an Array with the given type, category, rank, and shape.

Syntax
`
#include <dx/dx.h>
`

Error DXQueryArrayConvert(Array a, Type type, Category category, int rank, ...)
Error DXQueryArrayConvertV(Array a, Type type, Category category, int rank, int *shape)

Functional Details

The Array can be converted only if `type`, `category`, `rank`, and `shape` are all compatible with `a`.

`rank` and `shape` are compatible if the rank and shape of `a` and the given `rank` and `shape` differ only by dimensions that have a shape of `1`. For example, an Array of `1` × `n` matrices is compatible with an Array of vectors.

Table 6 and Table 7 summarize the conversions allowed between types and categories.

Return Value

Return `OK` or returns `NULL` and set an error code.

See Also

`DXArrayConvert, DXArrayConvertV, DXExtractFloat, DXExtractInteger, DXExtractNthString, DXExtractParameter, DXExtractString, DXQueryParameter`

12.8 , "Extracting Module Parameters".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]